import type { NextPage } from 'next';
import React, { useState, useEffect } from 'react';
import { useRouter } from 'next/router'
import { useSelector } from 'react-redux';
import { Main } from './main'
import { Login } from './login';

import { selectTokenData } from '../../redux/login/selectors';

const Index: NextPage = () => {
  const router = useRouter();
  const { token, status_token } = useSelector(selectTokenData)

  console.log(token, 'token');
 // useEffect(() => {
   // token.length ? router.push('/admin/main'): router.push('/admin/login')
  //}, [token]);

  return (
       <>
       {
         token.length ? <Main/>: <Login/>
       }
       </>
  )
}

export default Index;
